Browsers

I’m gonna take a quick break from the SCORM Cloud beta tour to lay out a decision we’ve just made. In creating the SCORM Cloud user interface, we confronted something every web developer has been dealing with forever…

Which browsers are we going to support?

This question is a little different for us than most companies in that we have two distinct audiences: the companies that embed our software and those that use it directly.

In supporting companies like we do via SCORM Engine and SCORM Driver, we have an obligation to provide them with the support they need. And let me tell you, many of our clients still support IE5.5 (the bane of a designer’s existence).

So, we’ve got a particular responsibility to support the lowest common denominator (or something close to it). It is not our place to drag our customers’ customers forward in the browser evolution… We don’t get to make that decision for them, and so we won’t. This decision applies to the following products:

  • SCORM Engine
  • SCORM Driver
  • Embed-able components of SCORM Cloud, accessed via the API

For our embed-able, compatibility based products, we support and will continue to support the following browsers.

  • Firefox 1.0 and higher
  • Internet Explorer 5.5 and higher
  • Safari 1.0 and higher
  • Chrome (all versions)
Our World

For our customers and their customers … we have a certain obligation … . But when it comes to the products we offer directly to the customer, we get to make our own choices. And I don’t feel bad about eliminating a potential customer by virtue of an informed decision if it affects only Rustici Software.

In designing and implementing SCORM Cloud’s new UI, we went to our usage metrics. In looking at Google Analytics, we’re seeing that just 7% of our total visitors are using IE6. For us, that number is low enough that we’re willing to ask those users to upgrade if they want to fully experience SCORM Cloud (and its Test Track functionality). Our apologies go out to those of you locked into old browsers by your situation or employer, but we’re going to drop our support of IE5.5 and IE6 for our customer facing products.